org.eclipse.actf.model.dom.odf.table

## Class TableConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.table.TableConstants

    public final class TableConstants
    extends Object

TableConstants defines the constant values used by table namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_ATTR_PRINT`
`static String` `ATTR_BORDER_MODEL`
`static String` `ATTR_CELL_RANGE_ADDRESS`
`static String` `ATTR_DEFAULT_CELL_STYLE_NAME`
`static String` `ATTR_DISPLAY`
`static String` `ATTR_END_CELL_ADDRESS`
`static String` `ATTR_END_X`
`static String` `ATTR_END_Y`
`static String` `ATTR_FORMULA`
`static String` `ATTR_NAME`
`static String` `ATTR_NUMBER_COLUMNS_REPEATED`
`static String` `ATTR_NUMBER_COLUMNS_SPANNED`
`static String` `ATTR_NUMBER_ROWS_REPEATED`
`static String` `ATTR_PROTECTED`
`static String` `ATTR_STRUCTURE_PROTECTED`
`static String` `ATTR_STYLE_NAME`
`static String` `ELEMENT_COVERED_TABLE_CELL`
`static String` `ELEMENT_TABLE`
`static String` `ELEMENT_TABLE_CELL`
`static String` `ELEMENT_TABLE_COLUMN`
`static String` `ELEMENT_TABLE_COLUMNS`
`static String` `ELEMENT_TABLE_HEADER_COLUMNS`
`static String` `ELEMENT_TABLE_HEADER_ROWS`
`static String` `ELEMENT_TABLE_ROW`
`static String` `ELEMENT_TABLE_ROWS`
`static String` `TABLE_NAMESPACE_URI`

### Constructor Summary

Constructors
Constructor and Description
`TableConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TABLE_NAMESPACE_URI

    public static final String TABLE_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_TABLE

    public static final String ELEMENT_TABLE

See Also:
  Constant Field Values

#### ELEMENT_TABLE_ROW

    public static final String ELEMENT_TABLE_ROW

See Also:
  Constant Field Values

#### ELEMENT_TABLE_COLUMN

    public static final String ELEMENT_TABLE_COLUMN

See Also:
  Constant Field Values

#### ELEMENT_TABLE_CELL

    public static final String ELEMENT_TABLE_CELL

See Also:
  Constant Field Values

#### ELEMENT_COVERED_TABLE_CELL

    public static final String ELEMENT_COVERED_TABLE_CELL

See Also:
  Constant Field Values

#### ELEMENT_TABLE_HEADER_COLUMNS

    public static final String ELEMENT_TABLE_HEADER_COLUMNS

See Also:
  Constant Field Values

#### ELEMENT_TABLE_HEADER_ROWS

    public static final String ELEMENT_TABLE_HEADER_ROWS

See Also:
  Constant Field Values

#### ELEMENT_TABLE_ROWS

    public static final String ELEMENT_TABLE_ROWS

See Also:
  Constant Field Values

#### ELEMENT_TABLE_COLUMNS

    public static final String ELEMENT_TABLE_COLUMNS

See Also:
  Constant Field Values

#### ATTR_STYLE_NAME

    public static final String ATTR_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_CELL_RANGE_ADDRESS

    public static final String ATTR_CELL_RANGE_ADDRESS

See Also:
  Constant Field Values

#### ATTR_END_CELL_ADDRESS

    public static final String ATTR_END_CELL_ADDRESS

See Also:
  Constant Field Values

#### ATTR_END_X

    public static final String ATTR_END_X

See Also:
  Constant Field Values

#### ATTR_END_Y

    public static final String ATTR_END_Y

See Also:
  Constant Field Values

#### ATTR_DISPLAY

    public static final String ATTR_DISPLAY

See Also:
  Constant Field Values

#### ATTR_FORMULA

    public static final String ATTR_FORMULA

See Also:
  Constant Field Values

#### ATTR_NUMBER_ROWS_REPEATED

    public static final String ATTR_NUMBER_ROWS_REPEATED

See Also:
  Constant Field Values

#### ATTR_NUMBER_COLUMNS_REPEATED

    public static final String ATTR_NUMBER_COLUMNS_REPEATED

See Also:
  Constant Field Values

#### ATTR_NUMBER_COLUMNS_SPANNED

    public static final String ATTR_NUMBER_COLUMNS_SPANNED

See Also:
  Constant Field Values

#### ATTR_DEFAULT_CELL_STYLE_NAME

    public static final String ATTR_DEFAULT_CELL_STYLE_NAME

See Also:
  Constant Field Values

#### ATTR_NAME

    public static final String ATTR_NAME

See Also:
  Constant Field Values

#### ATTR_ATTR_PRINT

    public static final String ATTR_ATTR_PRINT

See Also:
  Constant Field Values

#### ATTR_BORDER_MODEL

    public static final String ATTR_BORDER_MODEL

See Also:
  Constant Field Values

#### ATTR_STRUCTURE_PROTECTED

    public static final String ATTR_STRUCTURE_PROTECTED

See Also:
  Constant Field Values

#### ATTR_PROTECTED

    public static final String ATTR_PROTECTED

See Also:
  Constant Field Values

### Constructor Detail

#### TableConstants

    public TableConstants()